## pcre3 8.30

=== debian/changelog ===
pcre3 (1:8.30-5) unstable; urgency=low

  * There is no use in including debug information for the libraries from
    the udeb in the debug package; more importantly, because the
    installation system isn't multiarch, if they are included they result
    in arch specific files in arch independent paths (debug package is 
    Multi-arch:same). Removed. (Closes: #670018)

 -- Mark Baker <mark@mnb.org.uk>  Tue, 01 May 2012 22:38:42 +0100

pcre3 (1:8.30-4) unstable; urgency=low

  * Reluctantly using an epoch, as it seems the funny version number with
    extra dots causes problems
  * Bumped standard version to 3.9.3. No changes needed
  * Converted to use new source format / quilt
  * Put back obsolete pcre_info() API that upstream have dropped (Closes:
    #665300, #665356)
  * Don't include pcregrep binary in debug package

  Thanks to Elimar Riesebieter for the conversion to the new source format.

 -- Mark Baker <mark@mnb.org.uk>  Fri, 23 Mar 2012 22:34:54 +0000

pcre3 (8.30..-3) unstable; urgency=low

  * configure: fixed libpcreposix version (this is not the same bug as the
    previous one, though it's in the same few lines)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 22 Mar 2012 19:45:03 +0000

pcre3 (8.30..-2) unstable; urgency=low

  * configure: Correct library version so soname is libpcre.so.3 instead
    of .2 (Closes: #664983)
  * Horrible version number is because of NMU of "8.30.really8.12-1.1";
    this will sort between that and 8.31-1
  
 -- Mark Baker <mark@mnb.org.uk>  Thu, 22 Mar 2012 17:52:35 +0000

pcre3 (8.30-1) unstable; urgency=low

  * New upstream release (Closes:#664166)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 21 Mar 2012 21:03:39 +0000

pcre3 (8.12-4) unstable; urgency=low

  * Multi-arch support. Thanks Steve Langasek for patch (Closes: 634250)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 18 Jul 2011 21:59:44 +0100

pcre3 (8.12-3) unstable; urgency=low

  * debian/rules: Increased shlib version to 8.10 (Closes: #612942,
    #613227, #613469, #614012, #615019)

 -- Mark Baker <mark@mnb.org.uk>  Sun, 20 Feb 2011 12:46:44 +0000

pcre3 (8.12-2) unstable; urgency=low

  * Include changes from Stéphane's NMU (including fix for bug 581202)
    that were accidentally omitted in previous release.
  * debian/control: -dbg package should be section debug, priority extra

 -- Mark Baker <mark@mnb.org.uk>  Tue, 08 Feb 2011 20:38:49 +0000

pcre3 (8.12-1) unstable; urgency=low

  * New upstream release (Closes: #554242)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 07 Feb 2011 23:53:42 +0000

pcre3 (8.02-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add explicit Breaks to applications using libpcre-ocaml, to allow
    proper upgrades from lenny (Closes: #581202)
  * Add debian/watch
  * Add debian/source/format
  * Remove duplicate fields spotted by Lintian
  * Promote XC-Package-Type field to Package-Type

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Jul 2010 16:05:27 -0400

pcre3 (8.02-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mark@mnb.org.uk>  Fri, 07 May 2010 21:18:05 +0100

pcre3 (7.8-3) unstable; urgency=low

  * debian/rules: Install main library in /lib (Closes: 350468, #549608)
  * debian/pcre-config.1: Minor formatting changes (thanks Alexander
    Peslyak) (Closes: 338658) 
  * Makefile.am,Makefile.in: Added libpcre.la to LDADD for various things;
    apparently this will make it cross-build successfully (Closes: 492565)
  * debian/control: Added ${misc:Depends} to dependencies for all the
    binary packages
  * debian/rules: Don't ignore errors from make distclean

 -- Mark Baker <mark@mnb.org.uk>  Wed, 07 Oct 2009 00:05:25 +0100

pcre3 (7.8-2) unstable; urgency=low

  * debian/rules: Bumped shlib version to 7.7 because of new feature in
    that version (Closes: #500987)

 -- Mark Baker <mark@mnb.org.uk>  Sun, 05 Oct 2008 17:06:46 +0100

pcre3 (7.8-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mark@mnb.org.uk>  Sun, 21 Sep 2008 21:23:00 +0100

pcre3 (7.6-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix heap overflow in the pcre compiler triggered by
    patterns which contain options and multiple branches
    (CVE-2008-2371; Closes: #488919).
  * debian/rules (patch by Bryan Donlan): Update shlibdeps invocation for
    libpcrecpp0 due to new symbols (Closes: #476925).
  * debian/copyright: replace license information with the current license
    information shipped with upstream sources (Closes: #489318).

 -- Nico Golde <nion@debian.org>  Mon, 14 Jul 2008 19:13:11 +0200

pcre3 (7.6-2) unstable; urgency=low

  * pcrecpp.cc: Applied patch from PCRE bugzilla (bug 664) to fix ABI
    breakage (Closes: #463170, #463266, #463413, #464974)
  
 -- Mark Baker <mark@mnb.org.uk>  Wed, 13 Feb 2008 22:19:35 +0000

pcre3 (7.6-1) unstable; urgency=low

  * New upstream release
  * Ship pcredemo.c in examples directory (Closes: #377587)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 28 Jan 2008 23:01:05 +0000

pcre3 (7.4-1) unstable; urgency=low

  * Build a -dbg package with debug symbols
  
  Thanks to Sebastian Dröge <slomo@debian.org>,for all of the following:

  * New upstream release (Closes: #453372).
  * debian/control,
    debian/rules:
    + Provide udeb (Closes: #443114). Build depend on debhelper (>= 5.0.22)
      for this.
  * debian/rules:
    + Bump shlibs to >= 7.4 (Closes: #449289).
  * debian/compat:
    + Update debhelper compat level to 5.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Use ${binary:Version} instead of ${Source-Version} to make package
      binNMU safe.
  * debian/*.files,
    debian/*.install,
    debian/rules:
    + Convert from dh_movefiles to dh_install.
  * debian/*.dirs:
    + Removed, not necessary.

 -- Mark Baker <mark@mnb.org.uk>  Mon,  7 Jan 2008 21:03:34 +0000

pcre3 (7.3-2) unstable; urgency=low

  * Overloaded RE::Init(), for compatibility with PCRE 6.x API (Closes

