=== debian/control ===
Source: pcre3
Section: libs
Priority: optional
Maintainer:  Mark Baker <mark@mnb.org.uk>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.16.0)

Package: libpcre3
Section: libs
Architecture: any
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3-dev (<= 4.3-3)
Breaks:
 libpcre-ocaml (<< 6.0.1~),
 approx (<< 4.4-1~),
 cmigrep (<< 1.5-7~),
 ocsigen (<< 1.3.3-1~),
 cduce (<< 0.5.3-2~),
 galax (<< 1.1-7~),
 liquidsoap (<< 0.9.2-3~)
Multi-Arch: same
Pre-Depends: multiarch-support
Description: Perl 5 Compatible Regular Expression Library - runtime files
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the runtime libraries.

Package: libpcre3-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3-dev (<= 4.3-3)
Description: Perl 5 Compatible Regular Expression Library - runtime files (udeb)
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the runtime libraries for the Debian Installer (udeb).

Package: libpcrecpp0
Section: libs
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3 (<< 6.4-1.1)
Replaces: libpcre3 (<< 6.4-1.1)
Multi-Arch: same
Pre-Depends: multiarch-support
Description: Perl 5 Compatible Regular Expression Library - C++ runtime files
 This is a C++ library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the C++ runtime library.

Package: libpcre3-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libpcre3 (= ${binary:Version}), libpcrecpp0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libpcre1-dev, libpcre2-dev
Description: Perl 5 Compatible Regular Expression Library - development files
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the development files, including headers, static 
 libraries, and documentation.

Package: libpcre3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpcre3 (= ${binary:Version}), libpcrecpp0 (= ${binary:Version}),  ${misc:Depends}
Multi-Arch: same
Description: Perl 5 Compatible Regular Expression Library - debug symbols
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the debug symbols,

Package: pcregrep
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pgrep (<<4.5)
Description: grep utility that uses perl 5 compatible regexes.
 Perl-style regexps have many useful features that the standard POSIX ones
 don't; this is basically the same as grep but with the different
 regexp syntax.
 .
 The other reason for the existence of pcregrep is that its source code is an
 example of programming with libpcre.
