=== debian/changelog ===
pcre3 (1:8.31-2ubuntu2) trusty; urgency=low

  * Don't patch the soname in the generated configure file, but in
    configure.ac.
  * Add symbols files to catch the practice to only change the soname
    in the generated files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 14:18:01 +0100

pcre3 (1:8.31-2ubuntu1) trusty; urgency=low

  * Use dh-autoreconf to update config files.
  * Use explicit stamp for the configure target.
  * Honor dpkg-buildflags.
  * Enable parallel builds.
  * Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 12:58:45 +0100

pcre3 (1:8.31-2) unstable; urgency=low

  * Build -dev package as Multi-arch: same. Thanks Steve Langasek / Ubuntu
    for the patch (Closes: 696217) 

 -- Mark Baker <mark@mnb.org.uk>  Thu, 03 Jan 2013 20:30:05 +0000

pcre3 (1:8.31-1) unstable; urgency=low

  * New upstream release
  * Applied patch from upstream bugzilla #1287 to fix bug where wrong
    value is in re_nsub in some cases (Closes: #686495)

 -- Mark Baker <mark@mnb.org.uk>  Thu, 13 Sep 2012 19:58:45 +0100
