## pcre3 8.35

=== debian/changelog ===
pcre3 (2:8.35-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upstream patch for heap buffer overflow, CVE-2014-8964, taken from
    1:8.36-1 (Closes: #770478)
    Thanks to Salvatore Bonaccorso for the reminder.

 -- Ivo De Decker <ivodd@debian.org>  Sat, 06 Dec 2014 19:58:19 +0100

pcre3 (2:8.35-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update shlibs dependency to 1:8.35 for new symbol introduced in upstream
    version 8.35 (Closes: #767907)
  * Revert upload of upstream version 8.36 to allow this upload to migrate to
    jessie.

 -- Ivo De Decker <ivodd@debian.org>  Sat, 06 Dec 2014 19:21:39 +0100

pcre3 (1:8.35-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable build hardening flags (closes: #656008).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Sep 2014 01:48:23 +0000

pcre3 (1:8.35-3) unstable; urgency=medium

  Thanks to Simon McVittie for all of the work on this:

  * Run tests with VERBOSE=1 so we can see the logs for failing tests
    (Closes: #755052)
  * Apply part of upstream r1472 to fix undefined behaviour when parsing
    {n} or {m,n} quantifiers, which causes mis-parsing and test failures
    under gcc 4.9 (Closes: #751828)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 23 Jul 2014 21:19:41 +0100

pcre3 (1:8.35-2) unstable; urgency=medium

  * Build-depends on auto-reconf (Closes: 754540)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 12 Jul 2014 23:03:47 +0100

pcre3 (1:8.35-1) unstable; urgency=medium

  * New upstream release
  * Use dh-autoreconf
  * Disable JIT on ppc64el (Closes: 751390) (Thanks Erwan Prioul)

 -- Mark Baker <mark@mnb.org.uk>  Fri, 11 Jul 2014 19:54:51 +0100

pcre3 (1:8.31-5) unstable; urgency=medium

  * Previous attempt at detecting JIT support didn't work when cross
    compiling. Now runs the host compiler, and doesn't try to run the
    output (Closes: 745222)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 23 Apr 2014 21:00:35 +0100

pcre3 (1:8.31-4) unstable; urgency=medium

  * Enable JIT compilation only on architectures where it is supported -
    fixes FTBFS on ones where it isn't (Closes: 745114)
  * Verbose build logs (Closes: 745069)

 -- Mark Baker <mark@mnb.org.uk>  Fri, 18 Apr 2014 10:06:31 +0100

pcre3 (1:8.31-3) unstable; urgency=medium

  * Enable JIT regex compilation (http://sljit.sourceforge.net/pcre).
    Note that this has no effect by default so should not break anything;
    to use it you need to pass a flag to pcre_compile_regex()
    (Closes: 740954)
  * Changed shlibs:Depends to 8.20 as pcre_free_study() is not in older
    versions (Closes: 743164)

 -- Mark Baker <mark@mnb.org.uk>  Tue, 08 Apr 2014 22:37:58 +0100
