## pcre3 8.36

=== debian/changelog ===
pcre3 (1:8.36-1) unstable; urgency=medium

  * New upstream release
  * Upped shlibs dependency to 8.35 (Closes: #767903)
  * Upstream patch for heap buffer overflow, CVE-2014-8964 (Closes: #770478)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 24 Nov 2014 22:41:12 +0000

pcre3 (1:8.35-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Disable JIT on x32 and powerpcspe (Closes: #760327).

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Nov 2014 14:30:23 +0000
