=== debian/rules ===
--- 
+++ 
@@ -110,7 +110,7 @@
 	rm debian/libpcre3-dbg/usr/lib/debug/usr/lib/libpcre*
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -plibpcre3 --add-udeb="libpcre3-udeb" -V 'libpcre3 (>= 1:8.35)'
+	dh_makeshlibs -plibpcre3 --add-udeb="libpcre3-udeb" -V 'libpcre3 (>= 8.35)'
 	dh_makeshlibs -plibpcrecpp0 -V 'libpcrecpp0 (>= 7.7)'
 	dh_installdeb -a
 #	dh_perl -a
